Debian Bug report logs - #418917
dialog: Changes in this version makes right arrow move focus to tailboxbg

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Daniel Lublin <lists@lublin.se>

Date: Thu, 12 Apr 2007 18:51:01 UTC

Severity: minor

Found in version dialog/1.1-20070409-1

Fixed in version dialog/1.1-20070409-2

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#418917; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Daniel Lublin <lists@lublin.se>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Lublin <lists@lublin.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Changes in this version makes right arrow move focus to tailboxbg
Date: Thu, 12 Apr 2007 20:48:19 +0200
Package: dialog
Version: 1.1-20070409-1
Severity: minor

The changes in dlg_getc() aiming to fix handling of tab to traverse between 
tailboxbg and other widgets also somehow makes the Right Arrow key do the 
same. This during a test with one tailboxbg and one checklist. Left Arrow 
still correctly moves between the checklist's OK and Cancel.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-k7 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=sv_SE.ISO-8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages dialog depends on:
ii  debianutils                   2.18       Miscellaneous utilities specific t
ii  libc6                         2.5-1      GNU C Library: Shared libraries
ii  libncursesw5                  5.5-5      Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information



Message sent on to Daniel Lublin <lists@lublin.se>:
Bug#418917. Full text and rfc822 format available.

Message #8 received at 418917-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 418917-submitter@bugs.debian.org
Subject: Re: Bug#418917: dialog: Changes in this version makes right arrow move focus to tailboxbg
Date: Fri, 13 Apr 2007 17:44:56 -0400 (EDT)
On Thu, 12 Apr 2007, Daniel Lublin wrote:

> Package: dialog
> Version: 1.1-20070409-1
> Severity: minor
>
> The changes in dlg_getc() aiming to fix handling of tab to traverse between
> tailboxbg and other widgets also somehow makes the Right Arrow key do the
> same. This during a test with one tailboxbg and one checklist. Left Arrow
> still correctly moves between the checklist's OK and Cancel.

I see (now ;-).

Here's a quick fix that seems to address that issue:

--- ui_getc.c.orig      2007-04-08 19:57:09.000000000 -0400
+++ ui_getc.c   2007-04-13 17:41:26.000000000 -0400
@@ -186,6 +186,7 @@
 {
     WINDOW *save_win = win;
     int ch = ERR;
+    int before_lookup;
     int result;
     bool done = FALSE;
     bool literal = FALSE;
@@ -255,6 +256,7 @@
            continue;
        }

+       before_lookup = ch;
        ch = dlg_lookup_key(win, ch, fkey);
        dlg_trace_chr(ch, *fkey);

@@ -291,7 +293,8 @@
             * nominal (control) window closes, we'll close the windows with
             * callbacks.
             */
-           if (dialog_state.getc_callbacks != 0) {
+           if (dialog_state.getc_callbacks != 0 &&
+               before_lookup == TAB) {
                if ((p = dialog_state.getc_redirect) != 0) {
                    p = p->next;
                } else {

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #11 received at 418917-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 418917-forwarded@bugs.debian.org, Daniel Lublin <lists@lublin.se>
Subject: Bug#418917: dialog: Changes in this version makes right arrow move focus to tailboxbg (fwd)
Date: Sat, 14 Apr 2007 09:14:19 +0200 (CEST)
Hi. Received this from the Debian BTS:

---------- Forwarded message ----------
From: Daniel Lublin <lists@lublin.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 12 Apr 2007 20:48:19 +0200
Subject: Bug#418917: dialog: Changes in this version makes right arrow move
    focus to tailboxbg

Package: dialog
Version: 1.1-20070409-1
Severity: minor

The changes in dlg_getc() aiming to fix handling of tab to traverse between 
tailboxbg and other widgets also somehow makes the Right Arrow key do the 
same. This during a test with one tailboxbg and one checklist. Left Arrow 
still correctly moves between the checklist's OK and Cancel.

[...]



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Lublin <lists@lublin.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 418917-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 418917-close@bugs.debian.org
Subject: Bug#418917: fixed in dialog 1.1-20070409-2
Date: Sat, 21 Apr 2007 16:02:02 +0000
Source: dialog
Source-Version: 1.1-20070409-2

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20070409-2.diff.gz
  to pool/main/d/dialog/dialog_1.1-20070409-2.diff.gz
dialog_1.1-20070409-2.dsc
  to pool/main/d/dialog/dialog_1.1-20070409-2.dsc
dialog_1.1-20070409-2_powerpc.deb
  to pool/main/d/dialog/dialog_1.1-20070409-2_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418917@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 21 Apr 2007 17:40:28 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.1-20070409-2
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 418917
Changes: 
 dialog (1.1-20070409-2) unstable; urgency=low
 .
   * Fixed behaviour of right arrow (Closes: #418917).
     Patch by the author. Thanks to Daniel Lublin for the report.
Files: 
 e1b3af04ce259ed7a47b40cec6e34520 593 misc optional dialog_1.1-20070409-2.dsc
 ef41c07d8f8190e6a712fbcd70056feb 9151 misc optional dialog_1.1-20070409-2.diff.gz
 c1c440719c4f505f63a55e4fa3ec91f9 259324 misc optional dialog_1.1-20070409-2_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGKjL0d9Uuvj7yPNYRAiGdAKCVtWhBPtKKxa82pp5dAGrQwMHTqwCfbzIP
CznAotO7ZRQ4pbp9NCYrphY=
=NkyA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:31:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:25:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.